new;

feat = init_triangles( true, 7);

area = triangle_area( feat);
per = triangle_perimeter( feat);
ang = triangle_angles( feat);
disp( '  Perimeters    Area             Angles');
disp( [ per area ang] );

[ dist, simil, comb_mat] = compare_trianges( feat);

%%% do some additional math -- sorting in ascending order - DISTANCE
[ s_dist, i] = sort( dist);
s_simil = simil( i);
s_comb_mat = [comb_mat(i,1),comb_mat(i,2)];
%%% plot it
newfig; 
bar( s_simil, 'k');
hold on;
bar( s_dist, 'r');
for i=1:length( s_dist)
	text( i-0.4, s_simil(i)+2, sprintf('[%d,%d]',s_comb_mat(i,1),s_comb_mat(i,2)));
end;
title( 'Equality and similariity (angle-similarity sorted)');
xlabel( 'Sort order'); ylabel('Distance & Angle');
legend( {'Angle','Distance'}');
axis tight; grid on; zoom on;
set(gca,'XTick',1:length(s_simil));

%%% do some additional math -- sorting in ascending order - ANGLE
[ s_simil, i] = sort( simil);
s_dist = dist( i);
s_comb_mat = [comb_mat(i,1),comb_mat(i,2)];
%%% plot it
newfig; 
bar( s_simil, 'k');
hold on;
bar( s_dist, 'r');
for i=1:length( s_dist)
	text( i-0.4, s_simil(i)+2, sprintf('[%d,%d]',s_comb_mat(i,1),s_comb_mat(i,2)));
end;
title( 'Equality and similariity (distance sorted)');
xlabel( 'Sort order'); ylabel('Distance & Angle');
legend( {'Angle','Distance'}');
axis tight; grid on; zoom on;
set(gca,'XTick',1:length(s_simil));
