function inn = inner_product( v1, v2)

	d = [];
	r1 = size(v1,1); r2 = size(v2,1);
	c1 = size(v1,2); c2 = size(v2,2);
	
	if r1~=r2
		error('Wrong parameter! The input vectors should at least have the same number of rows!');
	end;
	
	if c1>c2
		error('Wrong parameters! Size of V2 must be at lest equal to the size of V1.');
	elseif c1==c2
		m = 0;
	elseif c1<c2 && c1>1
		error('Wrong parameters! If size of V2 is greater than the size of V1 then V1 should be of size (N X 1).');
	else
		m = 1;
	end
	
	if ~m
		inn = sum( v1 .* v2);
	else
		v1 = repmat( v1(:,1), 1, c2);
		inn = sum( v1 .* v2);
	end