%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%     function E = triangle_area( sides)
%
%             compute the area of a triangle given the sides' lengths
%             using Heron's formula
%

%
% Copyright  11-Mar-2012 George P. Pavlidis (sepdek@sepdek.net)
%
function E = triangle_area( sides)

	r = triangle_perimeter(sides)/2;		% half triangle perimeter
	E = sqrt( r .* (r-sides(:,1)) .* (r-sides(:,2)) .* (r-sides(:,3)));
	